#!/bin/bash -e

if [[ $# -ne 0 ]]; then
    cat<<EOF
Usage:
      $0
      DEV=eth0 $0
EOF
    exit 1
fi

dev=${DEV:-eth1}

ip -4 addr show dev $dev | awk -v dev=$dev '/inet/ {ip=$2} END{print "interface "dev; print "static ip_address="ip}'
ip route | grep eth1 | awk 'NR==1{print "static routers=" $3}'
awk '/nameserver/{dns=dns" "$2} END {sub(/^ */,"",dns); print "static domain_name_servers="dns}' < /etc/resolv.conf
